View Issue Details

IDProjectCategoryView StatusLast Update
0005810Multi Theft Auto : San AndreasClientpublic2012-12-27 17:53
ReporterGhOsT[X]Assigned Toccw 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version1.3.2Fixed in Version1.3.2 
Summary0005810: If photo made in windowed-mode with in-game camera, it makes screen print
Description

1st: When you take a photo and you are playing windowned.

The photo gets exported to My docs/GTA San Andreas UserFiles (Gallery), and not only of GTA Window but it does like it was a "PrintScreen".

2nd:When you see a remote player aiming a camera and moving, you will see him sliding (without animations), im not 100% sure, if thats a mta fault.

Steps To Reproduce

1st: Get a camera and take a photo, check if it goes to Mta screenshots folder or my documents/gta san andreas userfiles/gallery.

2nd: Ask for a remote player to take a camera, tell him to aim and move forward, backward, left and right.

TagsNo tags attached.

Activities

GhOsT[X]

2011-01-17 20:37

viewer   ~~0012586

Video from 2nd issue:

Web:http://img89.imageshack.us/i/7p1.mp4/
Direct:http://img89.imageshack.us/img89/612/7p1.mp4

Ca11um

2011-08-21 01:21

reporter   ~~0014369

For number 2, just a guess, but maybe GTA doesn't have animations for players moving with cameras? In single player, they probably never needed the animations.

MX_Master

2011-08-21 16:33

viewer   ~~0014374

all of this is only single game issues

Ghost_X

2012-07-07 17:33

viewer   ~~0016989

It does Callum.. On Sa-mp it works.

No it's not a single player issue. The camera state or animation wasn't synced. But now it works.. IDK When and Which version they (mta) fixed. Then Number 2 is fixed.

Video showing the camera walking animation:https://dl.dropbox.com/u/90155747/cam.avi

Number 1 still happens.. Remembering after taking a photo with gta camera weapon, it's saves the image in C:\Users*\Documents\GTA San Andreas User Files\Gallery.... I think that to disable this we can use this opcode: 0xBA6830 - [byte] Store gallery photos. IMHO we should make the camera photos be handled by the MTA Screenshot engine.

qaisjp

2012-07-22 04:41

administrator   ~~0017124

Camera photos are handled by GTA, and therefore saved in a GTA folder.

GTA SA only supported full screen, hence the PrntScrn appearance.

Ghost_X

2012-07-24 20:23

viewer   ~~0017143

Hm.

But there is no fix?

IMHO This should be fixed (if possible) even it's negative priority.

W

2012-07-24 21:00

viewer   ~~0017144

Last edited: 2012-07-24 21:08

In future, please fill separate bug reports for every report.

Script 'fix' for #1: http://fullserver.eu/pio/tmp/5810.lua

Video showing the camera walking animation:https://dl.dropbox.com/u/90155747/cam.avi

  1. Please reupload.

ccw

2012-12-24 16:19

administrator   ~~0017916

Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=4845

(The script by W is a better solution)

Issue History

Date Modified Username Field Change